Subject: bug#8865: 24.0.50; `display-buffer' does not respect `pop-up-frames'

From: "Drew Adams" <[email-masked]>
Date: Wed, 15 Jun 2011 10:11:36 -0700

> With the redefinition of `display-buffer-normalize-specifiers-1'...
> subsequently doing C-x 4 b pops up the buffer in a new frame.

Yes, it does.  I was mistaken about that (I confused this bug with another).

But are you proposing to redefine `display-buffer-normalize-specifiers-1' that
way for Emacs, or are you just proposing that I redefine it locally for myself
that way?

The latter would not address (fix) the bug.  Users (not just me) should not have
`C-x 4 f' etc. change its behavior - those commands should still use another
frame (for non-nil `pop-up-frames'), as they have always done.

If you implement this change in Emacs, then yes, please close the bug, as your
redefinition seems to fix it.